<?php

/*

Script looks in specified directory and returns a ::-separated list
of the captions or false if no captions file is found.

========================================================================

The full path to this file is going to be something like:

/Users/username/Library/Widgets/SlideShow.wdgt/php/readcaptions.php

...or, if this widget is enabled for everyone...

/Library/Widgets/SlideShow.wdgt/php/readcaptions.php

In either case, we'll chop off the file name and php directory and add
the photos directory to the path, then look for captions there.

*/
$dir = substr(__FILE__,0,-20).'photos';

// if the string is an actual directory, proceed
if ($dh = opendir($dir)) {
	$captions = '';
	
	while (($file = readdir($dh)) !== false) {
		// if this is the captions file, add it's contents to a list
		if ($file == '_captions.txt') {
			$captions = file_get_contents($dir.'/'.$file);
			break;
		}
	}
	closedir($dh);
	
	// replace newlines with ::
	$captions = str_replace("\n",'::',$captions);
	
	// replace any trailing ::
	if (substr($captions,-2) == '::') $captions = substr($captions,0,-2);
	
	// if there weren't any captions, set it to false
	if (strlen($captions) < 1) $captions = "false";
} else {
	$captions = "false";
}

// return our value
fwrite(STDOUT,$captions);

?>